Package io.papermc.paper.event.entity

# Class EntityDyeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
io.papermc.paper.event.entity.EntityDyeEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `SheepDyeWoolEvent`

public class EntityDyeEvent extends EntityEvent implements Cancellable
Called when an entity is dyed. Currently, this is called for `Sheep` being dyed, and `Wolf`/`Cat` collars being dyed.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityDyeEvent(@NotNull Entity entity, @NotNull DyeColor dyeColor, @Nullable Player player)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull DyeColor`
`getColor()`
Gets the DyeColor the entity is being dyed
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Player`
`getPlayer()`
Returns the player dyeing the entity, if available.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setColor(@NotNull DyeColor dyeColor)`
Sets the DyeColor the entity is being dyed

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityDyeEvent

public EntityDyeEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull DyeColor dyeColor, @Nullable @Nullable Player player)

## Method Details

### getColor

@NotNull public @NotNull DyeColor getColor()
Gets the DyeColor the entity is being dyed

Returns:
  the DyeColor the entity is being dyed

### setColor

public void setColor(@NotNull @NotNull DyeColor dyeColor)
Sets the DyeColor the entity is being dyed

Parameters:
  `dyeColor` - the DyeColor the entity will be dyed

### getPlayer

@Nullable public @Nullable Player getPlayer()
Returns the player dyeing the entity, if available.

Returns:
  player or null

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()